import { XHAMSTER_BASE_SEARCH, XHAMSTER_BASE_SEARCH_GAY, XHAMSTER_BASE_SEARCH_TRANS, XHAMSTER_BASE_URL_ETERO, XHAMSTER_BASE_URL_GAY, XHAMSTER_BASE_URL_TRANS } from "@/constants/urls"
import { Cookies, XHamsterOrientations } from "@/meta/settings"
import { getCookie } from "@/utils/cookies/read"

export const getXHamsterQueryUrl = async (query?: string): Promise<string> => {
    const orientation = await getCookie(Cookies.orientation)

    if (query) {
        if (orientation && orientation.value == XHamsterOrientations.gay) {
            return XHAMSTER_BASE_SEARCH_GAY + query + '?revert=orientation'
        }
        
        if (orientation && orientation.value == XHamsterOrientations.trans) {
            return XHAMSTER_BASE_SEARCH_TRANS + query + '?revert=orientation'
        }

        return XHAMSTER_BASE_SEARCH + query

    } else {
        if (orientation && orientation.value == XHamsterOrientations.gay) {
            return XHAMSTER_BASE_URL_GAY
        }
        
        if (orientation && orientation.value == XHamsterOrientations.trans) {
            return XHAMSTER_BASE_URL_TRANS
        }
    }

    return XHAMSTER_BASE_URL_ETERO
}